Bug 17631 - URL encoding problem with spaces
Summary: URL encoding problem with spaces
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2008-03-01 16:56 PST by Ismail Donmez
Modified: 2010-07-08 10:30 PDT (History)
3 users (show)

See Also:


Attachments
reduced test case (512 bytes, text/html)
2008-03-03 13:54 PST, Alexey Proskuryakov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ismail Donmez 2008-03-01 16:56:33 PST
Attached is a web archive of http://www.milliyet.com.tr , one of the most popular newspaper in Turkey. To reproduce the bug click on the upper right picture (which is the picture of our president), the one with moustache. Which also contains the text "Başbakanlık'ta ..."

Now if you click the link its supposed to go to default.aspx?...blabla but instead it goes to %20%20...%20default.aspx?...blabla , somehow the whitespace is getting encoded.
Comment 1 Ismail Donmez 2008-03-01 17:03:12 PST
Uploaded web archive to http://cekirdek.pardus.org.tr/~ismail/tmp/milliyet.webarchive , too big to attach.
Comment 2 Alexey Proskuryakov 2008-03-03 13:54:20 PST
Created attachment 19502 [details]
reduced test case
Comment 3 Alexey Proskuryakov 2008-03-03 13:56:47 PST
Confirmed with r30710. Firefox works as expected; haven't tested IE.
Comment 4 Ismail Donmez 2008-03-03 15:00:01 PST
Maksim Orlovich of KHTML fame fixed this for khtml: http://lists.kde.org/?l=kde-commits&m=120458484225762&w=2
Comment 5 Ismail Donmez 2008-10-21 09:08:17 PDT
This bug is still reproducable with latest ToT and makes one of the biggest newspaper website (in Turkey) unusable.
Comment 6 Alexey Proskuryakov 2008-11-20 05:49:45 PST
<rdar://problem/6388381>
Comment 7 Ismail Donmez 2010-07-08 07:37:35 PDT
Test passes with latest trunk, closing as fixed.
Comment 8 Alexey Proskuryakov 2010-07-08 10:30:16 PDT
Likely fixed in r58844.

The test case is a little different, so I landed it in r62800.